plugins/libcalendaring

Thomas Brüderli bruederli at kolabsys.com
Thu Jul 18 12:42:41 CEST 2013


 plugins/libcalendaring/get_horde_icalendar.sh     |   31 ----------------------
 plugins/libcalendaring/lib/get_horde_icalendar.sh |   31 ++++++++++++++++++++++
 2 files changed, 31 insertions(+), 31 deletions(-)

New commits:
commit 2349d2e4e640aa8e510565e011c4a176f90e3f36
Author: Thomas Bruederli <bruederli at kolabsys.com>
Date:   Thu Jul 18 12:42:35 2013 +0200

    Move import script to the right place

diff --git a/plugins/libcalendaring/get_horde_icalendar.sh b/plugins/libcalendaring/get_horde_icalendar.sh
deleted file mode 100755
index 1992bf2..0000000
--- a/plugins/libcalendaring/get_horde_icalendar.sh
+++ /dev/null
@@ -1,31 +0,0 @@
-#!/bin/sh
-
-# Copy Horde_iCalendar classes and dependencies to stdout.
-# This will create a standalone copy of the classes requried for iCal parsing.
-
-SRCDIR=$1
-
-if [ ! -d "$SRCDIR" ]; then
-  echo "Usage: get_horde_icalendar.sh SRCDIR"
-  echo "Please enter a valid source directory of the Horde lib"
-  exit 1
-fi
-
-echo "<?php
-
-/**
- * This is a concatenated copy of the following files:
- *   Horde/String.php, Horde/iCalendar.php, Horde/iCalendar/*.php
- * Pull the latest version of these file from the PEAR channel of the Horde project at http://pear.horde.org
- */
-
-require_once(dirname(__FILE__) . '/Horde_Date.php');"
-
-sed 's/<?php//; s/?>//' $SRCDIR/String.php
-echo "\n"
-sed 's/<?php//; s/?>//' $SRCDIR/iCalendar.php | sed -E "s/include_once.+//; s/NLS::getCharset\(\)/'UTF-8'/"
-echo "\n"
-
-for fn in `ls $SRCDIR/iCalendar/*.php | grep -v 'vcard.php'`; do
-	sed 's/<?php//; s/?>//' $fn | sed -E "s/(include|require)_once.+//"
-done;
diff --git a/plugins/libcalendaring/lib/get_horde_icalendar.sh b/plugins/libcalendaring/lib/get_horde_icalendar.sh
new file mode 100755
index 0000000..1992bf2
--- /dev/null
+++ b/plugins/libcalendaring/lib/get_horde_icalendar.sh
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+# Copy Horde_iCalendar classes and dependencies to stdout.
+# This will create a standalone copy of the classes requried for iCal parsing.
+
+SRCDIR=$1
+
+if [ ! -d "$SRCDIR" ]; then
+  echo "Usage: get_horde_icalendar.sh SRCDIR"
+  echo "Please enter a valid source directory of the Horde lib"
+  exit 1
+fi
+
+echo "<?php
+
+/**
+ * This is a concatenated copy of the following files:
+ *   Horde/String.php, Horde/iCalendar.php, Horde/iCalendar/*.php
+ * Pull the latest version of these file from the PEAR channel of the Horde project at http://pear.horde.org
+ */
+
+require_once(dirname(__FILE__) . '/Horde_Date.php');"
+
+sed 's/<?php//; s/?>//' $SRCDIR/String.php
+echo "\n"
+sed 's/<?php//; s/?>//' $SRCDIR/iCalendar.php | sed -E "s/include_once.+//; s/NLS::getCharset\(\)/'UTF-8'/"
+echo "\n"
+
+for fn in `ls $SRCDIR/iCalendar/*.php | grep -v 'vcard.php'`; do
+	sed 's/<?php//; s/?>//' $fn | sed -E "s/(include|require)_once.+//"
+done;




More information about the commits mailing list